# IRdBoundingVolume Interface Reference

Inherits IRsDataObject.

List of all members.

## Public Member Functions
HRESULT | Clear ()
HRESULT | GetType ([out] RtD3DVolumeType *pOutType)
HRESULT | SetAsSphere ([in] RtPoint *pCenter,[in] float fRadius)
HRESULT | GetSphere ([out] RtPoint *pCenter,[out] float *fRadius)
HRESULT | SetAsAABB ([in] RtBoundingBox *pBBox)
HRESULT | GetAABB ([out] RtBoundingBox *pBBox)
HRESULT | SetAsFrustum ([in] RtD3DPlane *pLeft,[in] RtD3DPlane *pRight,[in] RtD3DPlane *pTop,[in] RtD3DPlane *pBottom,[in] RtD3DPlane *pNear,[in] RtD3DPlane *pFar)
HRESULT | GetFrustum ([out] RtD3DPlane *pLeft,[out] RtD3DPlane *pRight,[out] RtD3DPlane *pTop,[out] RtD3DPlane *pBottom,[out] RtD3DPlane *pNear,[out] RtD3DPlane *pFar)

## Detailed Description

This dataobject represents a bounding volume.

     No discernable value for scripting purposes.

## Member Function Documentation

HRESULT IRdBoundingVolume::Clear | ( |  | ) |

Clear the dataobject

HRESULT IRdBoundingVolume::GetType | ( | [out] RtD3DVolumeType * | pOutType | ) |

Get the type of the volume. You can use only appropriate get method for given type!

HRESULT IRdBoundingVolume::SetAsSphere | ( | [in] RtPoint * | pCenter,
|  | [in] float | fRadius |
| ) |  |  |

This method is used to set the bounding volume properties.

HRESULT IRdBoundingVolume::GetSphere | ( | [out] RtPoint * | pCenter,
|  | [out] float * | fRadius |
| ) |  |  |

This method is used to get the bounding volume properties. returns failure for wrong type!

HRESULT IRdBoundingVolume::SetAsAABB | ( | [in] RtBoundingBox * | pBBox | ) |

This method is used to set the bounding volume properties.

HRESULT IRdBoundingVolume::GetAABB | ( | [out] RtBoundingBox * | pBBox | ) |

This method is used to get the bounding volume properties. returns failure for wrong type! http://en.wikipedia.org/wiki/Bounding_volume

HRESULT IRdBoundingVolume::SetAsFrustum | ( | [in] RtD3DPlane * | pLeft,
|  | [in] RtD3DPlane * | pRight,
|  | [in] RtD3DPlane * | pTop,
|  | [in] RtD3DPlane * | pBottom,
|  | [in] RtD3DPlane * | pNear,
|  | [in] RtD3DPlane * | pFar |
| ) |  |  |

This method is used to set the bounding volume properties. http://en.wikipedia.org/wiki/Viewing_frustum

HRESULT IRdBoundingVolume::GetFrustum | ( | [out] RtD3DPlane * | pLeft,
|  | [out] RtD3DPlane * | pRight,
|  | [out] RtD3DPlane * | pTop,
|  | [out] RtD3DPlane * | pBottom,
|  | [out] RtD3DPlane * | pNear,
|  | [out] RtD3DPlane * | pFar |
| ) |  |  |

This method is used to get the bounding volume properties. returns failure for wrong type!